/**
 * main.ts
 *
 * Bootstraps Vuetify and other plugins then mounts the App`
 */
import router from './router'
import store from './store'
import { socket } from './plugins/socket'

// Plugins
import { registerPlugins } from '@/plugins'

// Components
import App from './App.vue'

// Composables
import { createApp } from 'vue'

// Styles
import '@/assets/style.css'

const app = createApp(App)

app.use(router)
app.use(store)

app.config.globalProperties.$socket = socket;

registerPlugins(app)

app.mount('#app')
